[Objective] Improve support for math editing by improving the UX of the Math extension and researching its usability
Closed, ResolvedPublic1 Story Points

Description

Result: More people, with less LaTeX knowledge, can (and do?) contribute

Related Objects

StatusAssignedTask
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedEsanders
ResolvedTchanders
ResolvedEsanders
ResolvedEsanders
OpenNone
Resolvedmarcoil
Resolvedmarcoil
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
ResolvedTchanders
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF raised the priority of this task from to Normal.
Jdforrester-WMF assigned this task to Tchanders.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2015, 12:24 AM
Jdforrester-WMF raised the priority of this task from Normal to High.Nov 20 2015, 7:57 PM
Elitre added a subscriber: Elitre.Nov 25 2015, 9:37 PM

My first though on trying the editor on http://en.wikipedia.beta.wmflabs.org/wiki/Equation?veaction=edit relates to T59437: "Allow the VE dialog for math elements to be movable and resizable".

One thing which I think is very important is to be able to see the rest of the article when editing the formula. You may need to remember what variables are used in the equation. Often there will be a step by step process where one equation will be a derived from a previous equation. See for example https://en.wikipedia.org/wiki/Parabola. This is made much easier if you can see what previous and subsequent the equations are.

The current implementation has such a large edit window that I can't see any of the rest of the article. I would be basically editing blind. Making it moveable would allow me to reposition the window too see the rest of the context of the article.

Thanks for the feedback - I agree, it's a problem not being able to see all the previous formulae.

If the dialog were made movable and resizable (T59437), you would probably expect to interact with the page in the background, e.g. being able to scroll. This adds a new layer of complication, and introduces a new functionality that doesn't exist yet in visual editor. If we're going to go that far, I think the best solution might be to rethink the dialog and instead integrate it into the page, perhaps in a sidebar or under the toolbar. (See for example the special character inserter, which allows you to interact with the page while displaying a nice menu of characters.) We could have some sort of sidebar menu, along with an input area for latex, and the formula preview would be displayed in situ in the page.

An interim solution could be to allow the user to choose whether to use the dialog (for stand-alone formulae) or the inspector (for formulae within context) rather than enforcing the large dialog.

JAufrecht moved this task from Backlog to VisualEditor on the Category board.Dec 6 2015, 7:07 PM
Jdforrester-WMF closed this task as Resolved.Jan 3 2016, 7:53 PM

A lot of blocking tasks have been removed, without explanation. This leaves some questions

Is there going to be facility of this interface to use the different rendering modes?

Is this interface going to be a giant screen hogging modal dialog, or will it actually allow users to see the rest of the article?

I would like to see the multiple interfaces implemented - there's a discussion here regarding how: https://gerrit.wikimedia.org/r/#/c/257261/